### Enumeration

# Vips SdfShape

#### Declaration

    enum Vips.SdfShape

#### Description [src]

The SDF to generate,

See also

`vips_sdf()`.

#### Members

`VIPS_SDF_SHAPE_CIRCLE`

  A circle at `a`, radius `r`.

  - Value: `0`
  - Available since: 8.0
`VIPS_SDF_SHAPE_BOX`

  A box from `a` to `b`.

  - Value: `1`
  - Available since: 8.0
`VIPS_SDF_SHAPE_ROUNDED_BOX`

  A box with rounded `corners` from `a` to `b`.

  - Value: `2`
  - Available since: 8.0
`VIPS_SDF_SHAPE_LINE`

  A line from `a` to `b`.

  - Value: `3`
  - Available since: 8.0
`VIPS_SDF_SHAPE_LAST`

  No description available.

  - Value: `4`
  - Available since: 8.0